<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>forced-page-breaks-001</title>
	<link rel="help" href="https://www.w3.org/TR/css-break-3/#break-propagation"/>
	<meta name="assert" content="Since breaks are only allowed between siblings, not between a box and its container, break values applied to children at the start/end of a parent are propagated to the parent, where they can take effect."/>
	<style>
		@page {
			margin: 1cm;
			size: A5;
		}

		div {
			padding-top: 1em;
			background-color: red;
		}
	</style>
</head>
<body>
<p style="--ps-break-before: page">There should be no <span>red</span> on this first page.</p>
<div><p style="--ps-break-before: page">This sentence must appear on a new page with a red background.</p></div>
</body>
</html>

